### Class

# Cogl Output

#### Description [src]

    final class Cogl.Output : GObject.Object
    {
      /* No available fields */
    }

Information about an output device

The `CoglOutput` object holds information about an output device such as a monitor or laptop display. It can be queried to find out the position of the output with respect to the screen coordinate system and other information such as the resolution and refresh rate of the device.

There can be any number of outputs which may overlap: the same area of the screen may be displayed by multiple output devices.

XXX: though it’s possible to query the position of the output with respect to screen coordinates, there is currently no way of finding out the position of a `CoglOnscreen` in screen coordinates, at least without using windowing-system specific API’s, so it’s not easy to get the output positions relative to the `CoglOnscreen`.

#### Ancestors

- GObject

#### Instance methods

###### cogl_output_get_height

Gets the height of the output in pixels.

###### cogl_output_get_mm_height

Gets the physical height of the output. In some cases (such as as a projector), the value returned here might correspond to nominal resolution rather than the actual physical size of the output device.

###### cogl_output_get_mm_width

Gets the physical width of the output. In some cases (such as as a projector), the value returned here might correspond to nominal resolution rather than the actual physical size of the output device.

###### cogl_output_get_refresh_rate

Gets the number of times per second that the output device refreshes the display contents.

###### cogl_output_get_subpixel_order

For an output device where each pixel is made up of smaller components with different colors, returns the layout of the subpixel components.

###### cogl_output_get_width

Gets the width of the output in pixels.

###### cogl_output_get_x

Gets the X position of the output with respect to the coordinate system of the screen.

###### cogl_output_get_y

Gets the Y position of the output with respect to the coordinate system of the screen.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CoglOutputClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.